Bug 568149 - Review Request: RunSnakeRun - GUI Viewer for Python profiling runs
Summary: Review Request: RunSnakeRun - GUI Viewer for Python profiling runs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ionuț Arțăriși
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 568148
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-24 21:33 UTC by Dave Malcolm
Modified: 2010-11-05 22:55 UTC (History)
3 users (show)

Fixed In Version: python-squaremap-1.0.0-0.2.b24.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-09 00:24:02 UTC
ionut: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Dave Malcolm 2010-02-24 21:33:21 UTC
Spec URL: http://dmalcolm.fedorapeople.org/python-packaging/RunSnakeRun.spec
SRPM URL: http://dmalcolm.fedorapeople.org/python-packaging/RunSnakeRun-2.0.0-0.1.b4.fc12.src.rpm
Description:

RunSnakeRun is a small GUI utility that allows you to view (Python) cProfile
or Profile profiler dumps in a sortable GUI view.  It allows you to explore the
profiler information using a "square map" visualization or sortable tables of
data

Comment 1 Ionuț Arțăriși 2010-02-27 18:00:36 UTC
Hello,

Here's my review:

$ rpmlint RPMS/noarch/RunSnakeRun-2.0.0-0.1.b4.fc12.noarch.rpm 
RunSnakeRun.noarch: W: spelling-error %description -l en_US cProfile -> c Profile, profile, profitless
RunSnakeRun.noarch: W: spelling-error %description -l en_US profiler -> profile, profiles, profiled
RunSnakeRun.noarch: W: spelling-error %description -l en_US sortable -> portable, sort able, sort-able
RunSnakeRun.noarch: W: no-documentation
RunSnakeRun.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/runsnakerun/runsnake.py 0644 /usr/bin/python
1 packages and 0 specfiles checked; 1 errors, 4 warnings.

 - The license in license.txt should be included in the %doc section of %files
 - Please remove the shebang from  /usr/lib/python2.6/site-packages/runsnakerun/runsnake.py
 - All GUI applications must include a desktop entry [1]
 - Small suggestion: there's a missing dot at the end of the %description.

[1] http://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files

Comment 2 Dave Malcolm 2010-03-03 03:23:12 UTC
Thanks for reviewing it!

I've tried to follow your recommendations, and I've uploaded a new spec to:
http://dmalcolm.fedorapeople.org/python-packaging/RunSnakeRun.spec

and a new SRPM to:
http://dmalcolm.fedorapeople.org/python-packaging/RunSnakeRun-2.0.0-0.2.b4.fc12.src.rpm

rpmlint on a locally built package (on F-12) gives:
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

The program doesn't seem to have an icon, so I left the "Icon" field blank in the  desktop file.  Hope that's OK.  Tested on a local build and it seems to work.

Content of the .desktop file:
[Desktop Entry]
Name=RunSnakeRun
GenericName=Python profile viewer
Comment=Viewer for Python profile data
Exec=runsnake
Icon=
Terminal=false
Type=Application
Categories=Development;


New changelog:
* Tue Mar  2 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.0-0.2.b4
- add license.txt
- explicitly list egg-info in %%files
- add a desktop file
- reworded package description

Comment 3 Ionuț Arțăriși 2010-03-03 14:11:18 UTC
> Thanks for reviewing it!
Thanks for packaging it!

Everything looks fine, but I disagree on making the runsnake.py executable. 

There doesn't seem to be any extra functionality gained from running runsnake.py versus running /usr/bin/runsnake which is the standard way of running the program.

the FHS states that:
"/usr/lib includes object files, libraries, and internal binaries that are not intended to be executed directly by users or shell scripts."

http://www.pathname.com/fhs/pub/fhs-2.3.html#USRLIBLIBRARIESFORPROGRAMMINGANDPA

Comment 4 Dave Malcolm 2010-03-03 17:00:32 UTC
Thanks

I've removed the shebang from that file.

Updated specfile:
http://dmalcolm.fedorapeople.org/python-packaging/RunSnakeRun.spec

Updated SRPM:
http://dmalcolm.fedorapeople.org/python-packaging/RunSnakeRun-2.0.0-0.3.b4.fc12.src.rpm

Comment 5 Ionuț Arțăriși 2010-03-03 20:15:45 UTC
Thank you, Dave!

Here's the customary list of MUSTs:

OK    *  MUST: rpmlint must be run on every package. The output should be posted in the review.[1]
$ rpmlint RunSnakeRun.spec ../SRPMS/RunSnakeRun-2.0.0-0.3.b4.fc12.src.rpm ../RPMS/noarch/RunSnakeRun-2.0.0-0.3.b4.fc12.noarch.rpm 
RunSnakeRun.src: W: spelling-error %description -l en_US cProfile -> c Profile, profile, profitless
RunSnakeRun.src: W: spelling-error %description -l en_US profiler -> profile, profiles, profiled
RunSnakeRun.src: W: spelling-error %description -l en_US sortable -> portable, sort able, sort-able
RunSnakeRun.noarch: W: spelling-error %description -l en_US cProfile -> c Profile, profile, profitless
RunSnakeRun.noarch: W: spelling-error %description -l en_US profiler -> profile, profiles, profiled
RunSnakeRun.noarch: W: spelling-error %description -l en_US sortable -> portable, sort able, sort-able
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

OK    * MUST: The package must be named according to the Package Naming Guidelines .
OK    * MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
OK    * MUST: The package must meet the Packaging Guidelines .
OK    * MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK    * MUST: The License field in the package spec file must match the actual license. [3]
OK    * MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
OK    * MUST: The spec file must be written in American English. [5]
OK    * MUST: The spec file for the package MUST be legible. [6]
OK    * MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
md5sum: 20dc6a4b591ac989cd0ec9011446ac9b

OK    * MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
N/A    * MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
OK    * MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
N/A    * MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
N/A    * MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
OK    * MUST: Packages must NOT bundle copies of system libraries.[11]
N/A    * MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
OK    * MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
OK    * MUST: A Fedora package must not list a file more than once in the spec file's %files listings. [14]
OK    * MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
OK    * MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [16]
OK    * MUST: Each package must consistently use macros. [17]
OK    * MUST: The package must contain code, or permissable content. [18]
OK    * MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [19]
OK    * MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [19]
N/A    * MUST: Header files must be in a -devel package. [20]
N/A    * MUST: Static libraries must be in a -static package. [21]
N/A    * MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). [22]
N/A    * MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [20]
N/A    * MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [23]
OK    * MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[21]
OK    * MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [24]
OK    * MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [25]
OK    * MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [26]
OK    * MUST: All filenames in rpm packages must be valid UTF-8. [27]


This package is APPROVED!

Comment 6 Dave Malcolm 2010-03-03 20:24:25 UTC
Thanks for the review!

Comment 7 Dave Malcolm 2010-03-03 20:25:34 UTC
New Package CVS Request
=======================
Package Name: RunSnakeRun
Short Description: GUI Viewer for Python profiling runs
Owners: dmalcolm
Branches: F-12 F-13
InitialCC:

Comment 8 Kevin Fenzi 2010-03-06 05:20:24 UTC
CVS done (by process-cvs-requests.py).

(remember to assign the review to the reviewer)

Comment 9 Ionuț Arțăriși 2010-03-06 09:52:45 UTC
Assigned. Thanks.

Comment 10 Dave Malcolm 2010-03-09 00:24:02 UTC
Thanks. I've imported the SRPM into the various CVS branches.

Unfortunately I've really should have scratch-built this in Koji before submitting this for review; it built OK on my laptop, but not in Koji, giving this error:
File not found: /builddir/build/BUILDROOT/RunSnakeRun-2.0.0-0.3.b4.fc12.noarch/usr/bin/runsnake

I noticed this in the Koji F-12 build log:
/usr/lib/python2.6/distutils/dist.py:266: UserWarning: Unknown distribution option: 'entry_points'
which I don't get on my laptop, with: python-setuptools-0.6c9-5.fc12.noarch

This turned out to be a missing: BuildRequires: python-setuptools

My bad; sorry.  I've fixed this in CVS and successfully built the package into the various branches:
dist-f14: http://koji.fedoraproject.org/koji/taskinfo?taskID=2040005
dist-f13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2040063
dist-f12: http://koji.fedoraproject.org/koji/taskinfo?taskID=2040103

So I think we're done; closing this out as NEXTRELEASE.  Thanks Ionut and Kevin.

Comment 11 Fedora Update System 2010-08-26 16:33:08 UTC
python-squaremap-1.0.0-0.2.b24.fc13,RunSnakeRun-2.0.0-0.4.b4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-squaremap-1.0.0-0.2.b24.fc13,RunSnakeRun-2.0.0-0.4.b4.fc13

Comment 12 Fedora Update System 2010-11-05 22:55:27 UTC
python-squaremap-1.0.0-0.2.b24.fc13, RunSnakeRun-2.0.0-0.4.b4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.